Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://apigw.ipxo.com/ecommerce/public/{user_id}/subscriptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://apigw.ipxo.com/ecommerce/public/{user_id}/subscriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigw.ipxo.com/ecommerce/public/{user_id}/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"uuid": "5c4dc27c-a8a9-3eec-82ef-2c73fdbe5418",
"name": "Suscipit dolorum maxime.",
"short_description": "Eos sapiente soluta et.",
"status": "draft",
"current_period_start": "2026-03-03T14:05:32.0000000+00:00",
"current_period_end": "2026-04-03T14:05:32.0000000+00:00",
"previous_period_start": "2026-03-03T14:05:32.0000000+00:00",
"previous_period_end": "2026-02-03T14:05:32.0000000+00:00",
"started_at": "2026-03-03T14:05:32.0000000+00:00",
"terminated_at": "2026-03-03T14:05:32.0000000+00:00",
"billing_anchor_day": 20,
"customer": {
"uuid": "a13651d5-56e4-45da-b079-913620c95e49",
"auth_id": "63797f95-b953-387f-8ae8-e7411dfc60d7",
"name": "Dr. Edgardo Zieme",
"business_entity_id": "a13651d5-5612-4214-b925-71d33d0aac0a",
"currency": "USD"
},
"total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"sub_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"discount_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"current_phase": {
"uuid": "2326ee4c-5f2a-3d2b-af46-56b05ea60f96",
"name": "Aut dicta.",
"short_description": "Fuga eaque adipisci ea.",
"start_at": "2026-03-03T14:05:32.0000000+00:00",
"occurrence": "month",
"period": 1,
"end_at": "2027-03-03T14:05:32.0000000+00:00",
"status": "pending",
"created_at": "2026-03-03T14:05:32.0000000+00:00"
},
"has_immediate_termination": true,
"is_in_grace_period": false,
"expires_at": "2026-04-03T14:05:32.0000000+00:00"
},
{
"uuid": "d1e7b517-8e43-3ef9-ba0e-68f54cb25412",
"name": "Error non.",
"short_description": "Non cupiditate aperiam ab.",
"status": "draft",
"current_period_start": "2026-03-03T14:05:32.0000000+00:00",
"current_period_end": "2026-04-03T14:05:32.0000000+00:00",
"previous_period_start": "2026-03-03T14:05:32.0000000+00:00",
"previous_period_end": "2026-02-03T14:05:32.0000000+00:00",
"started_at": "2026-03-03T14:05:32.0000000+00:00",
"terminated_at": "2026-03-03T14:05:32.0000000+00:00",
"billing_anchor_day": 20,
"customer": {
"uuid": "a13651d5-71b7-47aa-a26e-1977167b7bd9",
"auth_id": "f90e7e3b-67c0-3391-adbe-cf96cbe49b7f",
"name": "Dr. Cora Brown MD",
"business_entity_id": "a13651d5-710d-4ae0-bba3-db5e923da57a",
"currency": "USD"
},
"total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"sub_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"discount_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"current_phase": {
"uuid": "91b75be0-e3ca-3734-8518-35acea9d8a3e",
"name": "Explicabo sit incidunt.",
"short_description": "Laboriosam nihil sint est et.",
"start_at": "2026-03-03T14:05:32.0000000+00:00",
"occurrence": "month",
"period": 1,
"end_at": "2027-03-03T14:05:32.0000000+00:00",
"status": "pending",
"created_at": "2026-03-03T14:05:32.0000000+00:00"
},
"has_immediate_termination": true,
"is_in_grace_period": false,
"expires_at": "2026-04-03T14:05:32.0000000+00:00"
}
],
"meta": {
"current_page": 1,
"total": 2,
"per_page": 10
}
}List all Subscriptions.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the user.
active, pending, expired, draft, terminated, pending_termination "active"
"some_name"
"2023-10-07T12:16:27+00:00"
A comma-separated list of relationships to include. Multiple parameters are allowed.
discountCode, currentPhase, processingRenewalOrder "discountCode"
A comma-separated list of fields to sort. Multiple allowed. Prefix with - to sort descending.
created_at "created_at"
Show child attributes
[
{
"uuid": "5c4dc27c-a8a9-3eec-82ef-2c73fdbe5418",
"name": "Suscipit dolorum maxime.",
"short_description": "Eos sapiente soluta et.",
"status": "draft",
"current_period_start": "2026-03-03T14:05:32+00:00",
"current_period_end": "2026-04-03T14:05:32+00:00",
"previous_period_start": "2026-03-03T14:05:32+00:00",
"previous_period_end": "2026-02-03T14:05:32+00:00",
"started_at": "2026-03-03T14:05:32+00:00",
"terminated_at": "2026-03-03T14:05:32+00:00",
"billing_anchor_day": 20,
"customer": {
"uuid": "a13651d5-56e4-45da-b079-913620c95e49",
"auth_id": "63797f95-b953-387f-8ae8-e7411dfc60d7",
"name": "Dr. Edgardo Zieme",
"business_entity_id": "a13651d5-5612-4214-b925-71d33d0aac0a",
"currency": "USD"
},
"total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"sub_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"discount_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"current_phase": {
"uuid": "2326ee4c-5f2a-3d2b-af46-56b05ea60f96",
"name": "Aut dicta.",
"short_description": "Fuga eaque adipisci ea.",
"start_at": "2026-03-03T14:05:32+00:00",
"occurrence": "month",
"period": 1,
"end_at": "2027-03-03T14:05:32+00:00",
"status": "pending",
"created_at": "2026-03-03T14:05:32+00:00"
},
"has_immediate_termination": true,
"is_in_grace_period": false,
"expires_at": "2026-04-03T14:05:32+00:00"
},
{
"uuid": "d1e7b517-8e43-3ef9-ba0e-68f54cb25412",
"name": "Error non.",
"short_description": "Non cupiditate aperiam ab.",
"status": "draft",
"current_period_start": "2026-03-03T14:05:32+00:00",
"current_period_end": "2026-04-03T14:05:32+00:00",
"previous_period_start": "2026-03-03T14:05:32+00:00",
"previous_period_end": "2026-02-03T14:05:32+00:00",
"started_at": "2026-03-03T14:05:32+00:00",
"terminated_at": "2026-03-03T14:05:32+00:00",
"billing_anchor_day": 20,
"customer": {
"uuid": "a13651d5-71b7-47aa-a26e-1977167b7bd9",
"auth_id": "f90e7e3b-67c0-3391-adbe-cf96cbe49b7f",
"name": "Dr. Cora Brown MD",
"business_entity_id": "a13651d5-710d-4ae0-bba3-db5e923da57a",
"currency": "USD"
},
"total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"sub_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"discount_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"current_phase": {
"uuid": "91b75be0-e3ca-3734-8518-35acea9d8a3e",
"name": "Explicabo sit incidunt.",
"short_description": "Laboriosam nihil sint est et.",
"start_at": "2026-03-03T14:05:32+00:00",
"occurrence": "month",
"period": 1,
"end_at": "2027-03-03T14:05:32+00:00",
"status": "pending",
"created_at": "2026-03-03T14:05:32+00:00"
},
"has_immediate_termination": true,
"is_in_grace_period": false,
"expires_at": "2026-04-03T14:05:32+00:00"
}
]
Show child attributes